package com.dcsoft.system.mapper;

import java.util.List;
import com.dcsoft.system.domain.SysBlackList;
import com.dcsoft.system.visitor.domain.PersonnelInfoVo;
import com.dcsoft.system.visitor.domain.Visitor;
import com.dcsoft.system.visitor.domain.VisitorInfoVo;
import com.dcsoft.system.visitor.domain.VisitorParamVo;
import org.apache.ibatis.annotations.Param;

/**
 * 黑名单管理Mapper接口
 *
 * @author nichun
 * @date 2023-07-03
 */
public interface SysBlackListMapper
{
    /**
     * 查询黑名单管理
     *
     * @param id 黑名单管理主键
     * @return 黑名单管理
     */
    public SysBlackList selectSysBlackListById(Long id);

    /**
     * 查询黑名单管理列表
     *
     * @param sysBlackList 黑名单管理
     * @return 黑名单管理集合
     */
    public List<SysBlackList> selectSysBlackListList(SysBlackList sysBlackList);

    /**
     * 新增黑名单管理
     *
     * @param sysBlackList 黑名单管理
     * @return 结果
     */
    public int insertSysBlackList(SysBlackList sysBlackList);

    /**
     * 修改黑名单管理
     *
     * @param sysBlackList 黑名单管理
     * @return 结果
     */
    public int updateSysBlackList(SysBlackList sysBlackList);

    /**
     * 删除黑名单管理
     *
     * @param id 黑名单管理主键
     * @return 结果
     */
    public int deleteSysBlackListById(Long id);

    /**
     * 批量删除黑名单管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysBlackListByIds(Long[] ids);

    /**
     * 查询访客人员信息
     */
    PersonnelInfoVo queryPersonnelInfo(@Param("list") List<String> list);

    /**
     * 查询通行人员信息
     */
    List<PersonnelInfoVo> queryGeneralInfo(String id);

    /**
     * 查询被访人
     */
    List<PersonnelInfoVo> queryPeople(Visitor paramVo);

    /**
     * 查询已审核状态信息
     */
    VisitorParamVo queryAuditedVisitor(Visitor paramVo);

    /**
     * 查询详情
     */
    VisitorInfoVo queryVisitorInfo(Visitor paramVo);

    /**
     * 查询随访人
     */
    List<VisitorInfoVo> queryFollowUp(Visitor infoVo);

    /**
     * 查询黑名单
     */
    SysBlackList queryBlackById(Visitor visitor);

    VisitorInfoVo queryVisitorType(Visitor paramVo);
}
